catalog:
  title: Pepper Face Identification

templates:
- setuptools
- base

variables:
  description: >-
    A new robust ROS-ified face identification/gender and age
    estimation tool based on CNNs and the awesome ageitgey facerec
    module written in Python

  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  repository: https://gitlab.ub.uni-bielefeld.de/pepper-robot-plus/pepper-faceid.git
  branches:
  - master

  platform-requires:
    ubuntu:
      packages:
      - python-setuptools
      - ros-${ros}-ros-base
      - python-scipy

  extra-provides:
  - nature: setuptools
    target: pepper-face-id-ros
  extra-requires:
  - nature: freestyle
    target: dlib-python-avx-cuda
  - setuptools: face_recognition
  - nature: freestyle
    target: cuda
  - nature: freestyle
    target: cudnn
  - nature: catkin
    target: ros-clf-perception-vision-msgs
  - nature: catkin
    target: face_gender_age_detection_msgs

versions:
- name: keras-patched
  variables:
    upstream-version: ${version-name}
    branch: master
    post-build-hook/unix.command: |
      sed -ie 's#import requests#import os#' ${toolkit.dir}/lib/python2.7/site-packages/Keras-2.0.3-py2.7.egg/keras/callbacks.py
      sed -ie '/requests = None/a requests = None' ${toolkit.dir}/lib/python2.7/site-packages/Keras-2.0.3-py2.7.egg/keras/callbacks.py

- name: uuid-devel
  variables:
    upstream-version: ${version-name}
    branch: uuid-devel
    post-build-hook/unix.command: |
      sed -ie 's#import requests#import os#' ${toolkit.dir}/lib/python2.7/site-packages/Keras-2.0.3-py2.7.egg/keras/callbacks.py
      sed -ie '/requests = None/a requests = None' ${toolkit.dir}/lib/python2.7/site-packages/Keras-2.0.3-py2.7.egg/keras/callbacks.py
